/*
 * $Header: /san01/cvs/ashpool/csrc/modssl/Attic/ssl.h,v 1.3 2004/03/12 20:10:41 aleigh Exp $
 */

/*
 * Copyright (c) 1994, 2001 Alex Leigh, All Rights Reserved
 *
 * THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF ALEX LEIGH The copyright
 * notice above does not evidence any actual or intended publication of such
 * source code.
 *
 * Use, disclosure, copying, distribution, or transmission of this code without
 * express permission is prohibited.
 */

#ifndef _SSL_H
#define _SSL_H

#include <continuity.h>
#include <openssl/ssl.h>

int sslFinit(void *p, lstTset * o);
int sslFhandler(void *p, const lstTset * arg);

ssize_t sslFio_write(netTconn * conn, const void *buf, size_t len);
ssize_t sslFio_read(netTconn * conn, void *buf, size_t len);
int sslFio_close(netTconn * conn);
ssize_t sslFio_writev(struct netSconn * conn, const struct iovec * iov, int iovcnt);

#endif 
